package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * (SoSaleinvoiceB)实体类
 *
 * @author makejava
 * @since 2024-08-31 14:44:18
 */
public class SoSaleinvoiceBEntity extends BaseEntity {
 
 private String alrconfincomny;
 private String alrconfinconum;
 private String blargessflag;
 private String cbatchid;
 private String cbodywarehouseid;
 private String ccalbodyid;
 private String ccurrencytypeid;
 private String ccustomerid;
 private String cfreezeid;
 private String cinvbasdocid;
 private String cinventoryid;
 private String cinvoiceBid;
 private String coriginalbillcode;
 private String costsubjid;
 private String cpackunitid;
 private String cprolineid;
 private String cquoteunitid;
 private String creceiptcorpid;
 private String creceipttype;
 private String crowno;
 private String csaleid;
 private String csourcebillbodyid;
 private String csourcebillid;
 private String ctManageid;
 private String cunitid;
 private String cupinvoicebillbodyid;
 private String cupinvoicebillcode;
 private String cupinvoicebillid;
 private String cupreceipttype;
 private String cupsourcebillbodyid;
 private String cupsourcebillcode;
 private String cupsourcebillid;
 private String ddeliverdate;
 private String dr;
 private String fbatchstatus;
 private String frownote;
 private String frowstatus;
 private String inccontimepoint;
 private String inccontimepointname;
 private String ncostmny;
 private String ndiscountmny;
 private String ndiscountrate;
 private String nexchangeotobrate;
 private String ninvoicediscountrate;
 private String nitemdiscountrate;
 private String nmny;
 private String nnetprice;
 private String nnumber;
 private String noriginalcurdiscountmny;
 private String noriginalcurmny;
 private String noriginalcurnetprice;
 private String noriginalcurprice;
 private String noriginalcursummny;
 private String noriginalcurtaxmny;
 private String noriginalcurtaxnetprice;
 private String noriginalcurtaxprice;
 private String npacknumber;
 private String nprice;
 private String nqocurtaxnetpri;
 private String nqunetprice;
 private String nquoricurnetpri;
 private String nquoricurpri;
 private String nquoricurtaxpri;
 private String nquotenumber;
 private String nquoteunitrate;
 private String nquprice;
 private String nqutaxnetprice;
 private String nqutaxprice;
 private String nsimulatecostmny;
 private String nsubcursummny;
 private String nsubqunetpri;
 private String nsubqupri;
 private String nsubqutaxnetpri;
 private String nsubqutaxpri;
 private String nsubsummny;
 private String nsubtaxnetprice;
 private String nsummny;
 private String ntaxmny;
 private String ntaxnetprice;
 private String ntaxprice;
 private String ntaxrate;
 private String ntotalapplydismny;
 private String ntotalapplymny;
 private String ntotalapplynumber;
 private String ntotalapplysummny;
 private String ntotalapplytaxmny;
 private String ntotalhedgapplydismny;
 private String ntotalhedgapplymny;
 private String ntotalhedgapplynumber;
 private String ntotalhedgapplysummny;
 private String ntotalhedgapplytaxmny;
 private String ntotaltoswymny;
 private String ntotaltoswynumber;
 private String pkCorp;
 private String pkTaxclass;
 private String ts;


    public String getAlrconfincomny() {
        return alrconfincomny;
    }

    public void setAlrconfincomny(String alrconfincomny) {
        this.alrconfincomny = alrconfincomny;
    }

    public String getAlrconfinconum() {
        return alrconfinconum;
    }

    public void setAlrconfinconum(String alrconfinconum) {
        this.alrconfinconum = alrconfinconum;
    }

    public String getBlargessflag() {
        return blargessflag;
    }

    public void setBlargessflag(String blargessflag) {
        this.blargessflag = blargessflag;
    }

    public String getCbatchid() {
        return cbatchid;
    }

    public void setCbatchid(String cbatchid) {
        this.cbatchid = cbatchid;
    }

    public String getCbodywarehouseid() {
        return cbodywarehouseid;
    }

    public void setCbodywarehouseid(String cbodywarehouseid) {
        this.cbodywarehouseid = cbodywarehouseid;
    }

    public String getCcalbodyid() {
        return ccalbodyid;
    }

    public void setCcalbodyid(String ccalbodyid) {
        this.ccalbodyid = ccalbodyid;
    }

    public String getCcurrencytypeid() {
        return ccurrencytypeid;
    }

    public void setCcurrencytypeid(String ccurrencytypeid) {
        this.ccurrencytypeid = ccurrencytypeid;
    }

    public String getCcustomerid() {
        return ccustomerid;
    }

    public void setCcustomerid(String ccustomerid) {
        this.ccustomerid = ccustomerid;
    }

    public String getCfreezeid() {
        return cfreezeid;
    }

    public void setCfreezeid(String cfreezeid) {
        this.cfreezeid = cfreezeid;
    }

    public String getCinvbasdocid() {
        return cinvbasdocid;
    }

    public void setCinvbasdocid(String cinvbasdocid) {
        this.cinvbasdocid = cinvbasdocid;
    }

    public String getCinventoryid() {
        return cinventoryid;
    }

    public void setCinventoryid(String cinventoryid) {
        this.cinventoryid = cinventoryid;
    }

    public String getCinvoiceBid() {
        return cinvoiceBid;
    }

    public void setCinvoiceBid(String cinvoiceBid) {
        this.cinvoiceBid = cinvoiceBid;
    }

    public String getCoriginalbillcode() {
        return coriginalbillcode;
    }

    public void setCoriginalbillcode(String coriginalbillcode) {
        this.coriginalbillcode = coriginalbillcode;
    }

    public String getCostsubjid() {
        return costsubjid;
    }

    public void setCostsubjid(String costsubjid) {
        this.costsubjid = costsubjid;
    }

    public String getCpackunitid() {
        return cpackunitid;
    }

    public void setCpackunitid(String cpackunitid) {
        this.cpackunitid = cpackunitid;
    }

    public String getCprolineid() {
        return cprolineid;
    }

    public void setCprolineid(String cprolineid) {
        this.cprolineid = cprolineid;
    }

    public String getCquoteunitid() {
        return cquoteunitid;
    }

    public void setCquoteunitid(String cquoteunitid) {
        this.cquoteunitid = cquoteunitid;
    }

    public String getCreceiptcorpid() {
        return creceiptcorpid;
    }

    public void setCreceiptcorpid(String creceiptcorpid) {
        this.creceiptcorpid = creceiptcorpid;
    }

    public String getCreceipttype() {
        return creceipttype;
    }

    public void setCreceipttype(String creceipttype) {
        this.creceipttype = creceipttype;
    }

    public String getCrowno() {
        return crowno;
    }

    public void setCrowno(String crowno) {
        this.crowno = crowno;
    }

    public String getCsaleid() {
        return csaleid;
    }

    public void setCsaleid(String csaleid) {
        this.csaleid = csaleid;
    }

    public String getCsourcebillbodyid() {
        return csourcebillbodyid;
    }

    public void setCsourcebillbodyid(String csourcebillbodyid) {
        this.csourcebillbodyid = csourcebillbodyid;
    }

    public String getCsourcebillid() {
        return csourcebillid;
    }

    public void setCsourcebillid(String csourcebillid) {
        this.csourcebillid = csourcebillid;
    }

    public String getCtManageid() {
        return ctManageid;
    }

    public void setCtManageid(String ctManageid) {
        this.ctManageid = ctManageid;
    }

    public String getCunitid() {
        return cunitid;
    }

    public void setCunitid(String cunitid) {
        this.cunitid = cunitid;
    }

    public String getCupinvoicebillbodyid() {
        return cupinvoicebillbodyid;
    }

    public void setCupinvoicebillbodyid(String cupinvoicebillbodyid) {
        this.cupinvoicebillbodyid = cupinvoicebillbodyid;
    }

    public String getCupinvoicebillcode() {
        return cupinvoicebillcode;
    }

    public void setCupinvoicebillcode(String cupinvoicebillcode) {
        this.cupinvoicebillcode = cupinvoicebillcode;
    }

    public String getCupinvoicebillid() {
        return cupinvoicebillid;
    }

    public void setCupinvoicebillid(String cupinvoicebillid) {
        this.cupinvoicebillid = cupinvoicebillid;
    }

    public String getCupreceipttype() {
        return cupreceipttype;
    }

    public void setCupreceipttype(String cupreceipttype) {
        this.cupreceipttype = cupreceipttype;
    }

    public String getCupsourcebillbodyid() {
        return cupsourcebillbodyid;
    }

    public void setCupsourcebillbodyid(String cupsourcebillbodyid) {
        this.cupsourcebillbodyid = cupsourcebillbodyid;
    }

    public String getCupsourcebillcode() {
        return cupsourcebillcode;
    }

    public void setCupsourcebillcode(String cupsourcebillcode) {
        this.cupsourcebillcode = cupsourcebillcode;
    }

    public String getCupsourcebillid() {
        return cupsourcebillid;
    }

    public void setCupsourcebillid(String cupsourcebillid) {
        this.cupsourcebillid = cupsourcebillid;
    }

    public String getDdeliverdate() {
        return ddeliverdate;
    }

    public void setDdeliverdate(String ddeliverdate) {
        this.ddeliverdate = ddeliverdate;
    }

    public String getDr() {
        return dr;
    }

    public void setDr(String dr) {
        this.dr = dr;
    }

    public String getFbatchstatus() {
        return fbatchstatus;
    }

    public void setFbatchstatus(String fbatchstatus) {
        this.fbatchstatus = fbatchstatus;
    }

    public String getFrownote() {
        return frownote;
    }

    public void setFrownote(String frownote) {
        this.frownote = frownote;
    }

    public String getFrowstatus() {
        return frowstatus;
    }

    public void setFrowstatus(String frowstatus) {
        this.frowstatus = frowstatus;
    }

    public String getInccontimepoint() {
        return inccontimepoint;
    }

    public void setInccontimepoint(String inccontimepoint) {
        this.inccontimepoint = inccontimepoint;
    }

    public String getInccontimepointname() {
        return inccontimepointname;
    }

    public void setInccontimepointname(String inccontimepointname) {
        this.inccontimepointname = inccontimepointname;
    }

    public String getNcostmny() {
        return ncostmny;
    }

    public void setNcostmny(String ncostmny) {
        this.ncostmny = ncostmny;
    }

    public String getNdiscountmny() {
        return ndiscountmny;
    }

    public void setNdiscountmny(String ndiscountmny) {
        this.ndiscountmny = ndiscountmny;
    }

    public String getNdiscountrate() {
        return ndiscountrate;
    }

    public void setNdiscountrate(String ndiscountrate) {
        this.ndiscountrate = ndiscountrate;
    }

    public String getNexchangeotobrate() {
        return nexchangeotobrate;
    }

    public void setNexchangeotobrate(String nexchangeotobrate) {
        this.nexchangeotobrate = nexchangeotobrate;
    }

    public String getNinvoicediscountrate() {
        return ninvoicediscountrate;
    }

    public void setNinvoicediscountrate(String ninvoicediscountrate) {
        this.ninvoicediscountrate = ninvoicediscountrate;
    }

    public String getNitemdiscountrate() {
        return nitemdiscountrate;
    }

    public void setNitemdiscountrate(String nitemdiscountrate) {
        this.nitemdiscountrate = nitemdiscountrate;
    }

    public String getNmny() {
        return nmny;
    }

    public void setNmny(String nmny) {
        this.nmny = nmny;
    }

    public String getNnetprice() {
        return nnetprice;
    }

    public void setNnetprice(String nnetprice) {
        this.nnetprice = nnetprice;
    }

    public String getNnumber() {
        return nnumber;
    }

    public void setNnumber(String nnumber) {
        this.nnumber = nnumber;
    }

    public String getNoriginalcurdiscountmny() {
        return noriginalcurdiscountmny;
    }

    public void setNoriginalcurdiscountmny(String noriginalcurdiscountmny) {
        this.noriginalcurdiscountmny = noriginalcurdiscountmny;
    }

    public String getNoriginalcurmny() {
        return noriginalcurmny;
    }

    public void setNoriginalcurmny(String noriginalcurmny) {
        this.noriginalcurmny = noriginalcurmny;
    }

    public String getNoriginalcurnetprice() {
        return noriginalcurnetprice;
    }

    public void setNoriginalcurnetprice(String noriginalcurnetprice) {
        this.noriginalcurnetprice = noriginalcurnetprice;
    }

    public String getNoriginalcurprice() {
        return noriginalcurprice;
    }

    public void setNoriginalcurprice(String noriginalcurprice) {
        this.noriginalcurprice = noriginalcurprice;
    }

    public String getNoriginalcursummny() {
        return noriginalcursummny;
    }

    public void setNoriginalcursummny(String noriginalcursummny) {
        this.noriginalcursummny = noriginalcursummny;
    }

    public String getNoriginalcurtaxmny() {
        return noriginalcurtaxmny;
    }

    public void setNoriginalcurtaxmny(String noriginalcurtaxmny) {
        this.noriginalcurtaxmny = noriginalcurtaxmny;
    }

    public String getNoriginalcurtaxnetprice() {
        return noriginalcurtaxnetprice;
    }

    public void setNoriginalcurtaxnetprice(String noriginalcurtaxnetprice) {
        this.noriginalcurtaxnetprice = noriginalcurtaxnetprice;
    }

    public String getNoriginalcurtaxprice() {
        return noriginalcurtaxprice;
    }

    public void setNoriginalcurtaxprice(String noriginalcurtaxprice) {
        this.noriginalcurtaxprice = noriginalcurtaxprice;
    }

    public String getNpacknumber() {
        return npacknumber;
    }

    public void setNpacknumber(String npacknumber) {
        this.npacknumber = npacknumber;
    }

    public String getNprice() {
        return nprice;
    }

    public void setNprice(String nprice) {
        this.nprice = nprice;
    }

    public String getNqocurtaxnetpri() {
        return nqocurtaxnetpri;
    }

    public void setNqocurtaxnetpri(String nqocurtaxnetpri) {
        this.nqocurtaxnetpri = nqocurtaxnetpri;
    }

    public String getNqunetprice() {
        return nqunetprice;
    }

    public void setNqunetprice(String nqunetprice) {
        this.nqunetprice = nqunetprice;
    }

    public String getNquoricurnetpri() {
        return nquoricurnetpri;
    }

    public void setNquoricurnetpri(String nquoricurnetpri) {
        this.nquoricurnetpri = nquoricurnetpri;
    }

    public String getNquoricurpri() {
        return nquoricurpri;
    }

    public void setNquoricurpri(String nquoricurpri) {
        this.nquoricurpri = nquoricurpri;
    }

    public String getNquoricurtaxpri() {
        return nquoricurtaxpri;
    }

    public void setNquoricurtaxpri(String nquoricurtaxpri) {
        this.nquoricurtaxpri = nquoricurtaxpri;
    }

    public String getNquotenumber() {
        return nquotenumber;
    }

    public void setNquotenumber(String nquotenumber) {
        this.nquotenumber = nquotenumber;
    }

    public String getNquoteunitrate() {
        return nquoteunitrate;
    }

    public void setNquoteunitrate(String nquoteunitrate) {
        this.nquoteunitrate = nquoteunitrate;
    }

    public String getNquprice() {
        return nquprice;
    }

    public void setNquprice(String nquprice) {
        this.nquprice = nquprice;
    }

    public String getNqutaxnetprice() {
        return nqutaxnetprice;
    }

    public void setNqutaxnetprice(String nqutaxnetprice) {
        this.nqutaxnetprice = nqutaxnetprice;
    }

    public String getNqutaxprice() {
        return nqutaxprice;
    }

    public void setNqutaxprice(String nqutaxprice) {
        this.nqutaxprice = nqutaxprice;
    }

    public String getNsimulatecostmny() {
        return nsimulatecostmny;
    }

    public void setNsimulatecostmny(String nsimulatecostmny) {
        this.nsimulatecostmny = nsimulatecostmny;
    }

    public String getNsubcursummny() {
        return nsubcursummny;
    }

    public void setNsubcursummny(String nsubcursummny) {
        this.nsubcursummny = nsubcursummny;
    }

    public String getNsubqunetpri() {
        return nsubqunetpri;
    }

    public void setNsubqunetpri(String nsubqunetpri) {
        this.nsubqunetpri = nsubqunetpri;
    }

    public String getNsubqupri() {
        return nsubqupri;
    }

    public void setNsubqupri(String nsubqupri) {
        this.nsubqupri = nsubqupri;
    }

    public String getNsubqutaxnetpri() {
        return nsubqutaxnetpri;
    }

    public void setNsubqutaxnetpri(String nsubqutaxnetpri) {
        this.nsubqutaxnetpri = nsubqutaxnetpri;
    }

    public String getNsubqutaxpri() {
        return nsubqutaxpri;
    }

    public void setNsubqutaxpri(String nsubqutaxpri) {
        this.nsubqutaxpri = nsubqutaxpri;
    }

    public String getNsubsummny() {
        return nsubsummny;
    }

    public void setNsubsummny(String nsubsummny) {
        this.nsubsummny = nsubsummny;
    }

    public String getNsubtaxnetprice() {
        return nsubtaxnetprice;
    }

    public void setNsubtaxnetprice(String nsubtaxnetprice) {
        this.nsubtaxnetprice = nsubtaxnetprice;
    }

    public String getNsummny() {
        return nsummny;
    }

    public void setNsummny(String nsummny) {
        this.nsummny = nsummny;
    }

    public String getNtaxmny() {
        return ntaxmny;
    }

    public void setNtaxmny(String ntaxmny) {
        this.ntaxmny = ntaxmny;
    }

    public String getNtaxnetprice() {
        return ntaxnetprice;
    }

    public void setNtaxnetprice(String ntaxnetprice) {
        this.ntaxnetprice = ntaxnetprice;
    }

    public String getNtaxprice() {
        return ntaxprice;
    }

    public void setNtaxprice(String ntaxprice) {
        this.ntaxprice = ntaxprice;
    }

    public String getNtaxrate() {
        return ntaxrate;
    }

    public void setNtaxrate(String ntaxrate) {
        this.ntaxrate = ntaxrate;
    }

    public String getNtotalapplydismny() {
        return ntotalapplydismny;
    }

    public void setNtotalapplydismny(String ntotalapplydismny) {
        this.ntotalapplydismny = ntotalapplydismny;
    }

    public String getNtotalapplymny() {
        return ntotalapplymny;
    }

    public void setNtotalapplymny(String ntotalapplymny) {
        this.ntotalapplymny = ntotalapplymny;
    }

    public String getNtotalapplynumber() {
        return ntotalapplynumber;
    }

    public void setNtotalapplynumber(String ntotalapplynumber) {
        this.ntotalapplynumber = ntotalapplynumber;
    }

    public String getNtotalapplysummny() {
        return ntotalapplysummny;
    }

    public void setNtotalapplysummny(String ntotalapplysummny) {
        this.ntotalapplysummny = ntotalapplysummny;
    }

    public String getNtotalapplytaxmny() {
        return ntotalapplytaxmny;
    }

    public void setNtotalapplytaxmny(String ntotalapplytaxmny) {
        this.ntotalapplytaxmny = ntotalapplytaxmny;
    }

    public String getNtotalhedgapplydismny() {
        return ntotalhedgapplydismny;
    }

    public void setNtotalhedgapplydismny(String ntotalhedgapplydismny) {
        this.ntotalhedgapplydismny = ntotalhedgapplydismny;
    }

    public String getNtotalhedgapplymny() {
        return ntotalhedgapplymny;
    }

    public void setNtotalhedgapplymny(String ntotalhedgapplymny) {
        this.ntotalhedgapplymny = ntotalhedgapplymny;
    }

    public String getNtotalhedgapplynumber() {
        return ntotalhedgapplynumber;
    }

    public void setNtotalhedgapplynumber(String ntotalhedgapplynumber) {
        this.ntotalhedgapplynumber = ntotalhedgapplynumber;
    }

    public String getNtotalhedgapplysummny() {
        return ntotalhedgapplysummny;
    }

    public void setNtotalhedgapplysummny(String ntotalhedgapplysummny) {
        this.ntotalhedgapplysummny = ntotalhedgapplysummny;
    }

    public String getNtotalhedgapplytaxmny() {
        return ntotalhedgapplytaxmny;
    }

    public void setNtotalhedgapplytaxmny(String ntotalhedgapplytaxmny) {
        this.ntotalhedgapplytaxmny = ntotalhedgapplytaxmny;
    }

    public String getNtotaltoswymny() {
        return ntotaltoswymny;
    }

    public void setNtotaltoswymny(String ntotaltoswymny) {
        this.ntotaltoswymny = ntotaltoswymny;
    }

    public String getNtotaltoswynumber() {
        return ntotaltoswynumber;
    }

    public void setNtotaltoswynumber(String ntotaltoswynumber) {
        this.ntotaltoswynumber = ntotaltoswynumber;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkTaxclass() {
        return pkTaxclass;
    }

    public void setPkTaxclass(String pkTaxclass) {
        this.pkTaxclass = pkTaxclass;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

}

